/*
 *  ======== archive ========
 */
function archive(container, lib, objList, archArgs, res)
{
    print("archive filter ...");
    print("    container: " + container);
    print("    lib      : " + lib.name);
    print("    files    : " + objList);

    /* append a post-processing step */
    res.cmds += "\n$(MSG) " + this.message + this.name
        + " archive post-processing by " + this.$module.$name;
}

/*
 *  ======== compile ========
 */
function compile(container, target, goalFile, compArgs, res)
{
    print("compile filter ...");
    print("    container: " + container);
    print("    target   : " + target.name);
    print("    goal     : " + goalFile);
    print("    source   : "
        + compArgs.srcPrefix + compArgs.base + compArgs.srcSuffix);

    /* pre-pend a pre-processing step to each compile */
    res.cmds = "$(MSG) " + this.message + this.name
        + " pre-processing $< by " + this.$module.$name + '\n' + res.cmds;
}

/*
 *  ======== link ========
 */
function link(container, cfgBase, prog, objList, linkArgs, res)
{
    print("link filter ...");
    print("    container: " + container);
    print("    cfg      : " + cfgBase);
    print("    prog     : " + prog.name);
    print("    objs     : " + objList);

    /* append a post-processing step */
    res.cmds += "\n$(MSG) " + this.message + this.name
        + " analyzing " + prog.name + " with " + this.$module.$name;
}
