/*!
 *  ======== Time ========
 *  A target filter that adds timing output to the compiler's build operations
 */
metaonly module Time inherits xdc.bld.ITargetFilter
{
    /*!
     *  ======== outputFile ========
     *  A file where the timing output is sent
     *
     *  If this parameter is set to a non-`null` value, timing output will
     *  be appended to the specified file; otherwise, output will be
     *  directed to standard output.
     */
    config String outputFile;
}
